package com.adventurer_engine.client;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.adventurer_engine.client.RenderLoader;
import com.adventurer_engine.client.SoundManager;
import com.adventurer_engine.client.entity.model.RCsModelManager;
import com.adventurer_engine.client.event.ClientEventLoader;
import com.adventurer_engine.client.event.RCsTickHandlerClient;
import com.adventurer_engine.client.hud.HUDEngine;
import com.adventurer_engine.client.key.KeyTickHandler;
import com.adventurer_engine.client.model.ItemModelLoader;
import com.adventurer_engine.common.CommonProxy;
import cpw.mods.fml.common.ITickHandler;
import cpw.mods.fml.common.event.FMLInitializationEvent;
import cpw.mods.fml.common.event.FMLPostInitializationEvent;
import cpw.mods.fml.common.event.FMLPreInitializationEvent;
import cpw.mods.fml.common.registry.TickRegistry;
import cpw.mods.fml.relauncher.Side;
import cpw.mods.fml.relauncher.SideOnly;

@SideOnly(Side.CLIENT)
public class ClientProxy extends CommonProxy {
  public static long worldCalendar;
  
  public void preInit(FMLPreInitializationEvent event) {
    super.preInit(event);
    RCsModelManager.addModel();
    ItemModelLoader.loadModel();
    HUDEngine.registerHUD();
    RenderLoader.registerEntityRender();
  }
  
  public void init(FMLInitializationEvent event) {
    super.init(event);
    new SoundManager();
    RenderLoader.registerItemRender();
    new KeyTickHandler();
    new ClientEventLoader();
    TickRegistry.registerTickHandler((ITickHandler)new RCsTickHandlerClient(), Side.CLIENT);
  }
  
  public void postInit(FMLPostInitializationEvent event) {
    super.postInit(event);
  }
  
  public void addSound(String soundName) {
    SoundManager.addSound(soundName);
  }
}
